Subject: Re: linux-next: suspend tree build failure

From: "Rafael J. Wysocki" <[email-masked]>
Date: Mon, 17 Aug 2009 14:06:02 +0200

On Monday 17 August 2009, Stephen Rothwell wrote:
> [Sorry if some get this twice, I fixed up the subject.]
> 
> Hi Rafael,

Hi,

> Today's linux-next build (powerpc allyesconfig) failed like this:
> 
> drivers/base/power/runtime.c:948: error: __ksymtab_pm_runtime_disable causes a section type conflict
> 
> Caused by commit d9d4cc5169ca18df9ff5afd31c6e6b715ecb454a ("PM: Introduce
> core framework for run-time PM of I/O devices (rev. 17)") from the
> suspend tree.  This commit EXPORTs pm_runtime_disable which is an inline
> function that calls __pm_runtime_disable (which is probably what was
> meant to be EXPORTed).
> 
> I wish we could get these type of errors to fail on x86 as well ...
> 
> I have applied the following patch for today.

Thanks for the patch, I'll fix up the tree later today.

Best,
Rafael